"{ Package: 'stx:goodies/monticello/test' }"

LibraryDefinition subclass:#stx_goodies_monticello_test
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!


!stx_goodies_monticello_test class methodsFor:'description'!

excludedFromPreRequisites
    "list all packages which should be ignored in the automatic
     preRequisites scan. See #preRequisites for more."

    ^ #(
    )
!

preRequisites
    "list all required packages.
     This list can be maintained manually or (better) generated and
     updated by scanning the superclass hierarchies and looking for
     global variable accesses. (the browser has a menu function for that)
     Howevery, often too much is found, and you may want to explicitely
     exclude individual packages in the #excludedFromPrerequisites method."

    ^ #(
        #'stx:goodies/monticello'    "MCChangeSelectionRequest - referenced by MCWorkingCopyTest>>testBackport "
        #'stx:goodies/sunit'    "TestCase - superclass of MCPackageTest "
        #'stx:libbasic'    "Object - superclass of MCFileInTest "
        #'stx:libbasic2'    "UUID - referenced by MCTestCase>>mockVersionInfoWithAncestor: "
        #'stx:libcomp'    "Parser - referenced by MCStWriterTest>>assertMethodChunkIsWellFormed: "
    )
! !

!stx_goodies_monticello_test class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
        "<className> or (<className> attributes...) in load order"
        (MCDependencySorterTest autoload)
        (MCSnapshotResource autoload)
        (MCSortingTest autoload)
        (MCTestCase autoload)
        #'stx_goodies_monticello_test'
        (MCAncestryTest autoload)
        (MCChangeNotificationTest autoload)
        (MCClassDefinitionTest autoload)
        (MCFileInTest autoload)
        (MCInitializationTest autoload)
        (MCMczInstallerTest autoload)
        (MCMergingTest autoload)
        (MCMethodDefinitionTest autoload)
        (MCOrganizationTest autoload)
        (MCPackageTest autoload)
        (MCPatchTest autoload)
        (MCRepositoryTest autoload)
        (MCScannerTest autoload)
        (MCSerializationTest autoload)
        (MCSnapshotBrowserTest autoload)
        (MCSnapshotTest autoload)
        (MCStReaderTest autoload)
        (MCStWriterTest autoload)
        (MCVersionTest autoload)
        (MCWorkingCopyTest autoload)
        (MCDictionaryRepositoryTest autoload)
        (MCDirectoryRepositoryTest autoload)
    )
!

extensionMethodNames
    "lists the extension methods which are to be included in the project.
     Entries are 2-element array literals, consisting of class-name and selector."

    ^ #(
    )
! !

!stx_goodies_monticello_test class methodsFor:'description - project information'!

applicationIconFileName
    "Return the name (without suffix) of an icon-file (the app's icon); will be included in the rc-resource file"

    ^ nil
    "/ ^ self applicationName
!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in vc.def / bc.def"

    ^ 'Smalltalk/X Class library'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2010\nCopyright eXept Software AG 1998-2010'
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_goodies_monticello_test class methodsFor:'documentation'!

version_CVS
    ^ '$Header: /cvs/stx/stx/goodies/monticello/test/stx_goodies_monticello_test.st,v 1.1 2010-10-30 12:42:50 cg Exp $'
! !
